Obsoleto in AL2023 - Amazon Linux 2023

Le traduzioni sono generate tramite traduzione automatica. In caso di conflitto tra il contenuto di una traduzione e la versione originale in Inglese, quest'ultima prevarrà.

Obsoleto in AL2023

Questa sezione descrive le funzionalità presenti in AL2023 e che probabilmente verranno rimosse in una versione futura di Amazon Linux. Ogni sezione descriverà in cosa consiste la funzionalità e quando è prevista la sua rimozione da Amazon Linux.

Nota

Questa sezione verrà aggiornata nel tempo man mano che l'ecosistema Linux si evolverà e le future versioni principali di Amazon Linux saranno più vicine al rilascio.

Supporto per runtime x86 (i686) a 32 bit

AL2023 mantiene la capacità di eseguire file binari x86 (i686) a 32 bit. È probabile che la prossima versione principale di Amazon Linux non supporterà più l'esecuzione di file binari con spazio utente a 32 bit.

Berkeley DB () libdb

AL2023 viene fornito con la versione 5.3.28 della libreria Berkeley DB (). libdb Questa è l'ultima versione di Berkeley DB prima che la licenza passasse alla licenza GNU Affero GPLv3 (AGPL), dalla meno restrittiva licenza Sleepycat.

Ci sono pochi pacchetti in AL2023 che dipendono ancora da Berkeley DB (libdb) e la libreria verrà rimossa nella prossima versione principale di Amazon Linux.

Nota

Il gestore di dnf pacchetti di AL2023 mantiene il supporto di sola lettura per un database in formato Berkeley DB (BDB). rpm Questo supporto verrà rimosso nella prossima versione principale di Amazon Linux.

cron

Il pacchetto cronie è stato installato per impostazione predefinita sull'AMI AL2, fornendo supporto per il metodo crontab tradizionale di pianificazione delle attività periodiche. In AL2023, non cronie è incluso per impostazione predefinita. Pertanto, il supporto per non crontab è più fornito per impostazione predefinita.

In AL2023, è possibile installare facoltativamente il cronie pacchetto per utilizzare i job classicicron. Ti consigliamo di eseguire la migrazione ai timer systemd grazie alle funzionalità aggiuntive fornite da systemd.

È possibile che una versione futura di Amazon Linux, probabilmente la prossima versione principale, non includa più il supporto per i cron lavori classici e completi la transizione ai systemd timer. Ti consigliamo di abbandonare l'utilizzo. cron

IMDSv1

Per impostazione predefinita, le AMI AL2023 sono configurate per l'avvio in modalità IMDSv2 -only, disabilitando l'uso di. IMDSv1 È ancora possibile utilizzare AL2023 con iMDSv1 abilitato. È probabile che una versione futura di Amazon Linux venga applicata solo IMDSv2 -only.

Per ulteriori informazioni sulla configurazione IMDS per le AMI, consulta Configure the AMI nella Amazon EC2 User Guide for Linux Instances.

pcreversione 1

Il pcre pacchetto legacy è obsoleto e verrà rimosso nella prossima versione principale di Amazon Linux. Il pacchetto pcre2 è il successore. Sebbene le prime versioni di AL2023 fossero fornite con un numero limitato di pacchetti integratipcre, questi pacchetti verranno migrati all'interno di AL2023. pcre2 La libreria obsoleta rimarrà disponibile in AL2023pcre.

Nota

La versione obsoleta di non pcre riceverà aggiornamenti di sicurezza per l'intera durata di AL2023. Per ulteriori informazioni sul ciclo di vita del pcre supporto e sulla quantità di tempo in cui il pacchetto riceverà gli aggiornamenti di sicurezza, consulta le istruzioni di supporto del pacchetto. pcre

System V init (sysvinit)

Sebbene AL2023 mantenga la retrocompatibilità con gli script System V service (init), il systemd progetto upstream, come parte della sua versione v254, ha annunciato l'obsolescenza del supporto per gli script di servizio System V e ha indicato che il supporto verrà rimosso in una versione futura di. systemd Per ulteriori informazioni, consulta systemd.

AL2023 manterrà la retrocompatibilità con gli script System V service (init), ma gli utenti sono incoraggiati a migrare all'utilizzo di file systemd unit nativi per essere preparati alla rimozione del supporto per gli script System V service (init) da Amazon Linux, probabilmente nella prossima versione principale.